"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createQueryExecutor = void 0;
const gatsby_graphql_source_toolkit_1 = require("gatsby-graphql-source-toolkit");
const createQueryExecutor = (url, authUser, authPass, authKey, headers) => {
    return (0, gatsby_graphql_source_toolkit_1.createDefaultQueryExecutor)(url, {
        headers: Object.assign(Object.assign(Object.assign({}, headers), (authUser && authPass
            ? {
                Authorization: `Basic ${Buffer.from(`${authUser}:${authPass}`).toString('base64')}`,
            }
            : {})), (authKey ? { 'api-key': authKey } : {})),
    });
};
exports.createQueryExecutor = createQueryExecutor;
